<template>
  <div class="mb-4">
    <label class="block text-gray-700 text-sm font-bold mb-2" for="username">Rincian Barang yang Dibutuhkan</label>
    <ItemDetailField v-for="(item, index) in itemDetails" :key="index" :item="item" :index="index" />
    <Button text-red ghost class="btn-add py-3 font-bold" :on-click="addItem">+ TAMBAH BARANG</Button>
  </div>
</template>
<script>
const ItemDetailField = () => import('~/components/Form/Section2/item-detail-field');

export default {
  components: {
    ItemDetailField,
  },
  data() {
    return {
      numberCleaveOption: {
        prefix: '',
        numeral: true,
        numeralPositiveOnly: true,
        noImmediatePrefix: true,
        rawValueTrimPrefix: true,
        numeralDecimalMark: '',
        delimiter: '.',
        numeralIntegerScale: 16,
        numeralDecimalScale: 0,
      },
    };
  },
  computed: {
    itemDetails() {
      return this.$store.state.form.item_details;
    },
  },
  methods: {
    addItem() {
      this.$store.commit('form/ADD_ITEM_DETAILS', {
        name: null,
        qty: 0,
      });
    },
  },
};
</script>
